package net.sf.jga.parser;

public enum ArithmeticOperator {
    EQUAL("="),
    NOTEQUAL("!="),
    GREATER(">"),
    GREATEREQUAL(">="),
    LESS("<"),
    LESSEQUAL("<="),
    PLUS("+"),
    MINUS("-"),
    TIMES("*"),
    DIVIDES("/"),
    MODULUS("%"),
    BITNOT("~"),
    LOGNOT("!");
    
    private final String symbol;
    ArithmeticOperator(String symbol) {
        this.symbol = symbol;
    }
    
    public String getSymbol() { return symbol; } 
}
